public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Remi Collet <remi@fedoraproject.org>
To: git-commits@fedoraproject.org
Subject: [rpms/php-getid3] f44: v1.9.26
Date: Tue, 08 Sep 2026 03:50:22 GMT [thread overview]
Message-ID: <178883942281.1.11988932590735526547.rpms-php-getid3-510a8ee7004e@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/php-getid3
Branch : f44
Commit : 510a8ee7004ed495e0aae1e3eb5c0952169ae689
Author : Remi Collet <remi@fedoraproject.org>
Date : 2026-09-08T05:50:14+02:00
Stats : +23/-22 in 4 file(s)
URL : https://src.fedoraproject.org/rpms/php-getid3/c/510a8ee7004ed495e0aae1e3eb5c0952169ae689?branch=f44
Log:
v1.9.26
(cherry picked from commit 9dabfff7d4819217a7a4fa19265f3622b2481827)
---
diff --git a/.gitignore b/.gitignore
index 7d21418..901b340 100644
--- a/.gitignore
+++ b/.gitignore
@@ -17,3 +17,4 @@ getid3-2.0.0b5.zip
/php-getid3-1.9.23-06c7482.tgz
/php-getid3-1.9.24-1e11b9b.tgz
/php-getid3-1.9.25-fefffe7.tgz
+/php-getid3-1.9.26.tgz
diff --git a/makesrc.sh b/makesrc.sh
index 7d752c6..7df0f8a 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,25 +4,24 @@ NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Commit=$COMMIT\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
-echo "Cloning..."
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch v$VERSION $PROJECT-$VERSION || exit 1
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-cp composer.json ../composer.json
-popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs $PROJECT-$COMMIT
+ echo "Archiving..."
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
-
-echo "Done."
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
+ echo "Done."
+fi
diff --git a/php-getid3.spec b/php-getid3.spec
index 3c3c73c..3300b3c 100644
--- a/php-getid3.spec
+++ b/php-getid3.spec
@@ -6,21 +6,19 @@
#
# Please preserve changelog entries
#
-%global gh_commit fefffe762b02be155dcc32eec57feff8a49bc4b5
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner JamesHeinrich
%global gh_project getID3
%global pk_owner james-heinrich
%global pk_project getid3
Name: php-%{pk_project}
-Version: 1.9.25
+Version: 1.9.26
Release: 1%{?dist}
Epoch: 1
License: GPL-1.0-or-later OR LGPL-3.0-only OR MPL-2.0
Summary: The PHP media file parser
URL: https://www.getid3.org/
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
BuildArch: noarch
@@ -58,7 +56,7 @@ Autoloader: %{_datadir}/php/getid3/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%build
@@ -91,6 +89,9 @@ exit ($ok ? 0 : 1);
%changelog
+* Mon Sep 7 2026 Remi Collet <remi@remirepo.net> - 1.9.26-1
+- update to 1.9.26
+
* Tue Mar 10 2026 Remi Collet <remi@remirepo.net> - 1.9.25-1
- update to 1.9.25
diff --git a/sources b/sources
index 4f088f8..eeee2ad 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (php-getid3-1.9.25-fefffe7.tgz) = 09bb426b6b3feec75f6226a4984e0dca49ad113abc9942d6f6e4ea27f8ae3b92ef22bf2cd768cb0c34864166787db49751552102e307dd131d0f1a51a3489a4c
+SHA512 (php-getid3-1.9.26.tgz) = bd55012098a4d0de9ab99b85234bd745a4e508685b53b18d9c3847335f1960eed06e526d88cb9d57ff686c2bea7dcf1a3938cbe5fc7e725a77a62fd1d3f19f70
reply other threads:[~2026-09-08 3:50 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178883942281.1.11988932590735526547.rpms-php-getid3-510a8ee7004e@fedoraproject.org \
--to=remi@fedoraproject.org \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox